Bug 1674703 - blobwars: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: blobwars: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blobwars
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:54 UTC by Fedora Release Engineering
Modified: 2019-07-17 01:06 UTC (History)
3 users (show)

Fixed In Version: blobwars-1.19-21.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-17 01:06:07 UTC
releng: needinfo? (bruno)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:54 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:54 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 16:54 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:54:08 UTC
blobwars failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32368965


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix blobwars at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
blobwars will be orphaned. Before branching of Fedora 31,
blobwars will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:54:10 UTC
Created attachment 1529411 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:54:12 UTC
Created attachment 1529412 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:54:13 UTC
Created attachment 1529413 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:15:34 UTC
BUILDSTDERR: src/CAudio.cpp: In member function 'bool Audio::loadMusic(const char*)':
BUILDSTDERR: src/CAudio.cpp:104:41: error: 'music.mod' directive output may be truncated writing 9 bytes into a region of size between 1 and 4096 [-Werror=format-truncation=]
BUILDSTDERR:   104 |  snprintf(tempPath, sizeof tempPath, "%smusic.mod", engine->userHomeDirectory);
BUILDSTDERR:       |                                         ^~~~~~~~~
BUILDSTDERR: In file included from /usr/include/stdio.h:867,
BUILDSTDERR:                  from /usr/include/SDL/SDL_stdinc.h:37,
BUILDSTDERR:                  from /usr/include/SDL/SDL_main.h:26,
BUILDSTDERR:                  from /usr/include/SDL/SDL.h:30,
BUILDSTDERR:                  from src/headers.h:39,
BUILDSTDERR:                  from src/CAudio.cpp:21:
BUILDSTDERR: /usr/include/bits/stdio2.h:67:35: note: '__builtin___snprintf_chk' output between 10 and 4105 bytes into a destination of size 4096
BUILDSTDERR:    67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
BUILDSTDERR:       |          ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR:    68 |        __bos (__s), __fmt, __va_arg_pack ());
BUILDSTDERR:       |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Packages in Fedora should not use -Werror, please fix your package.

Comment 5 Fedora Release Engineering 2019-04-26 23:25:05 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Release Engineering 2019-06-03 21:41:32 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Fedora Release Engineering 2019-06-17 20:44:08 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Fedora Release Engineering 2019-07-02 11:13:09 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 9 Fedora Release Engineering 2019-07-02 13:29:32 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 10 Fedora Update System 2019-07-05 22:10:20 UTC
FEDORA-2019-3d857bfed2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d857bfed2

Comment 11 Fedora Update System 2019-07-06 04:19:02 UTC
blobwars-1.19-21.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d857bfed2

Comment 12 Fedora Update System 2019-07-17 01:06:07 UTC
blobwars-1.19-21.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.